dnl -------------------------------------------------------- -*- autoconf -*-
dnl Copyright 2005 The Apache Software Foundation
dnl
dnl Licensed under the Apache License, Version 2.0 (the "License");
dnl you may not use this file except in compliance with the License.
dnl You may obtain a copy of the License at
dnl
dnl     http://www.apache.org/licenses/LICENSE-2.0
dnl
dnl Unless required by applicable law or agreed to in writing, software
dnl distributed under the License is distributed on an "AS IS" BASIS,
dnl WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
dnl See the License for the specific language governing permissions and
dnl limitations under the License.

dnl Check for the Lucene4c Library
dnl CHECK_LUCENE4C(ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND])
AC_DEFUN([CHECK_LUCENE4C],
[dnl

AC_ARG_WITH(
    lucene4c,
    [AC_HELP_STRING([--with-lucene4c=PATH],[Path Lucene4c library])],
    mc_path="$withval",
    :)

if test -z $mc_path; then
    test_paths="/usr/local/lucene4c /usr/local /usr"
else
    test_paths="${mc_path}"
fi

for x in $test_paths ; do
    AC_MSG_CHECKING([for Lucene4c library in ${x}])
    if test -f ${x}/include/lucene4c-0/lcn_init.h; then
        AC_MSG_RESULT([yes])
        LUCENE4C_LIBS="-R${x}/lib -L${x}/lib -llucene4c"
        LUCENE4C_CFLAGS="-I${x}/include/lucene4c-0"
        break
    else
        AC_MSG_RESULT([no])
    fi
done

AC_SUBST(LUCENE4C_LIBS)
AC_SUBST(LUCENE4C_CFLAGS)

if test -z "${LUCENE4C_LIBS}"; then
  AC_MSG_NOTICE([*** Lucene4c library not found.])
  ifelse([$2], , AC_MSG_ERROR([Lucene4c library is required]), [$2])
else
  AC_MSG_NOTICE([Lucene4c has been found.])
  ifelse([$1], , , [$1]) 
fi 
])

